import request from '@/utils/request'

// 查询cmc品牌项目支付审批列表
export function listBrand(query) {
  return request({
    url: '/oa/brand/list',
    method: 'get',
    params: query
  })
}

// 查询cmc品牌项目支付审批详细
export function getBrand(brandId) {
  return request({
    url: '/oa/brand/' + brandId,
    method: 'get'
  })
}

// 新增cmc品牌项目支付审批
export function addBrand(data) {
  return request({
    url: '/oa/brand',
    method: 'post',
    data: data
  })
}

// 修改cmc品牌项目支付审批
export function updateBrand(data) {
  return request({
    url: '/oa/brand',
    method: 'put',
    data: data
  })
}

// 删除cmc品牌项目支付审批
export function delBrand(brandId) {
  return request({
    url: '/oa/brand/' + brandId,
    method: 'delete'
  })
}
